# $Revision: 1.83 $, $Date: 2009/08/16 21:00:38 $
#
# Conditional build
%bcond_without	initrd		# don't build initrd package
%bcond_without	dietlibc	# don't link with dietlibc, use glibc
#
Summary:	Module utilities without kerneld
Summary(de.UTF-8):	Module-Utilities
Summary(es.UTF-8):	Utilitarios para módulos y kerneld
Summary(fr.UTF-8):	Utiltaires de modules
Summary(pl.UTF-8):	Narzędzia do modułów jądra systemu bez kerneld
Summary(pt_BR.UTF-8):	Utilitários para módulos e kerneld
Summary(ru.UTF-8):	Утилиты для работы с модулями ядра
Summary(tr.UTF-8):	Modül programları
Summary(uk.UTF-8):	Утиліти для роботи з модулями ядра
Name:		module-init-tools
Version:	3.10
Release:	2
License:	GPL v2+
Group:		Applications/System
Source0:	http://kernel.org/pub/linux/utils/kernel/module-init-tools/%{name}-%{version}.tar.bz2
# Source0-md5:	fcde0344ad07c4ae2ae6b40918fd092d
Source1:	%{name}-blacklist
Source2:	%{name}-usb
Patch0:		%{name}-max.patch
Patch2:		%{name}-insmod-zlib.patch
Patch3:		%{name}-sparc.patch
Patch4:		%{name}-modprobe_d.patch
URL:		http://www.kerneltools.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-to-man
BuildRequires:	glibc-static
BuildRequires:	zlib-static
%if %{with initrd}
%{?with_dietlibc:BuildRequires:	dietlibc-static}
%endif
Obsoletes:	modutils
Conflicts:	rc-scripts < 0.4.2.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/sbin
%define		_sbindir	/sbin

%description
This package contains a set of programs for loading, inserting, and
removing kernel modules for Linux (versions 2.5.47 and above). It
serves the same function that the "modutils" package serves for Linux
2.4.

%description -l pl.UTF-8
Ten pakiet zawiera zestaw programów do wczytywania, wstawiania i
usuwania modułów jądra Linuksa (w wersji 2.5.47 i wyższych). Służy do
tego samego, co pakiet modutils dla Linuksa 2.4.

%package initrd
Summary:	Module utilities without kerneld - static binary for initrd
Summary(pl.UTF-8):	Narzędzia do modułów jądra systemu bez kerneld - statyczne binarki dla initrd
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}
Conflicts:	geninitrd < 10000.10

%description initrd
Module utilities without kerneld - static binary for initrd.

%description initrd -l pl.UTF-8
Narzędzia do modułów jądra systemu bez kerneld - statyczne binarki dla initrd.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
# huh?
# %patch3 -p1
%patch4 -p1

%build
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

%if %{with initrd}
%configure \
	%{?with_dietlibc:CC="diet %{__cc} %{rpmcflags} %{rpmldflags} -Os -static"} \
	%{!?with_dietlibc:CC="%{__cc} -static"} \
	--enable-zlib

%{__make}

%{__make} install-exec-am \
	DESTDIR=initrd-mod

%{__make} clean
%endif

%configure \
	--enable-zlib-dynamic
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,modprobe.d},%{_mandir}/man{5,8}}

%{__make} -j1 install install-am \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	INSTALL=install

:> $RPM_BUILD_ROOT/etc/modprobe.d/modprobe.conf

install %{SOURCE1} $RPM_BUILD_ROOT/etc/modprobe.d/blacklist.conf
install %{SOURCE2} $RPM_BUILD_ROOT/etc/modprobe.d/usb.conf

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_libdir}/initrd
install build/initrd-mod/sbin/depmod $RPM_BUILD_ROOT%{_libdir}/initrd/depmod
install build/initrd-mod/sbin/insmod $RPM_BUILD_ROOT%{_libdir}/initrd/insmod
install build/initrd-mod/sbin/lsmod $RPM_BUILD_ROOT%{_libdir}/initrd/lsmod
install build/initrd-mod/sbin/modprobe $RPM_BUILD_ROOT%{_libdir}/initrd/modprobe
install build/initrd-mod/sbin/rmmod $RPM_BUILD_ROOT%{_libdir}/initrd/rmmod
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -s /etc/modprobe.d/modprobe.conf -a -x /sbin/modprobe.modutils -a -f /etc/modules.conf ] && [ -d /lib/modules/$(uname -r) ]; then
	echo "Generating /etc/modprobe.d/modprobe.conf from obsolete /etc/modules.conf"
	%{_sbindir}/generate-modprobe.conf /etc/modprobe.d/modprobe.conf
	mv -f /etc/modules.conf{,.rpmsave}
fi

%triggerpostun -- %{name} < 3.10
if [ -f /etc/modprobe.conf.rpmsave ]; then
	cp -f /etc/modprobe.d/modprobe.conf{,.rpmnew}
	mv -f /etc/modprobe.conf.rpmsave /etc/modprobe.d/modprobe.conf
%banner -e %{name} << 'EOF'
Moved modprobe.conf to /etc/modprobe.d/modprobe.conf.
EOF
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%dir /etc/modprobe.d
%attr(644,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/modprobe.d/*.conf
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man5/depmod.conf.5*
%{_mandir}/man5/modprobe.conf.5*
%{_mandir}/man5/modprobe.d.5*
%{_mandir}/man5/modules.dep.5*
%{_mandir}/man8/*.8*

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/initrd/depmod
%attr(755,root,root) %{_libdir}/initrd/insmod
%attr(755,root,root) %{_libdir}/initrd/lsmod
%attr(755,root,root) %{_libdir}/initrd/modprobe
%attr(755,root,root) %{_libdir}/initrd/rmmod
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: module-init-tools.spec,v $
Revision 1.83  2009/08/16 21:00:38  arekm
- rel 2: add C rc-scripts < 0.4.2.4

Revision 1.82  2009/08/12 08:03:19  arekm
- avoid confusion (rpm does mv to rpmsave first etc)

Revision 1.81  2009/08/11 08:02:07  arekm
- banner with info about the move

Revision 1.80  2009/08/11 07:26:23  glen
- reviewed trigger

Revision 1.79  2009/08/11 07:16:10  arekm
- s/triggerun/triggerpostun

Revision 1.78  2009/08/11 07:13:26  arekm
- better trigger

Revision 1.77  2009/08/11 07:06:29  arekm
- up to 3.10

Revision 1.76  2009/04/12 07:18:10  arekm
- builds now

Revision 1.75  2009/04/12 06:55:14  arekm
- up to 3.7

Revision 1.74  2009/04/06 15:10:59  baggins
- rel 5
- proper C on geninitrd

Revision 1.73  2009/03/23 14:10:51  baggins
- unify dietlibc compile options and calls

Revision 1.72  2009/03/23 13:03:13  baggins
- Conflicts: geninitrd <= 10000.3 (geninitrd-10000.3 doesn't know _libdir/initrd)

Revision 1.71  2009/03/23 12:59:05  baggins
- put programs for initrd into common directory _libdir/initrd

Revision 1.70  2009/03/02 15:32:08  baggins
- rel 4
- use dietlibc

Revision 1.69  2009/03/02 15:16:54  baggins
- rel 3
- added initrd package

Revision 1.68  2009/03/02 12:21:58  baggins
- rel 2
- no need to be paranoid about modprobe config

Revision 1.67  2008/11/02 22:53:56  arekm
- up to 3.5

Revision 1.66  2008/11/02 22:47:36  arekm
- rel 2; usb modules ordering

Revision 1.65  2008/08/24 05:48:10  qboosh
- updated to 3.4
- updated shared-zlib,insmod-zlib patches
- removed obsolete modinfo-kernelversion patch

Revision 1.64  2008/06/09 16:38:04  glen
- release 7

Revision 1.63  2008-02-12 19:34:22  glen
- -k <kernelversion> to modinfo patch; rel 6

Revision 1.62  2007-12-15 17:03:16  qboosh
- added URL
- GPL v2+

Revision 1.61  2007-11-02 20:00:03  blues
- rel.5 - it seems that the only allowed is *.conf

Revision 1.60  2007/10/27 10:02:44  blues
- rel.4

Revision 1.59  2007/10/25 15:52:59  glen
- bad adapter

Revision 1.58  2007/10/25 13:23:46  blues
- introduced initial blacklist support

Revision 1.57  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.56  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.55  2006/10/01 13:05:51  arekm
- no point in having modutils on Th system.

Revision 1.54  2006/07/12 21:16:56  sparky
- -BR: docbook-*, man does not need regeneration

Revision 1.53  2006/01/21 17:38:48  sparky
- rel 2

Revision 1.52  2006/01/21 11:00:25  glen
- modprobe.d should be dir (to avoid badly package configs in the future)

Revision 1.51  2006/01/21 02:37:32  sparky
- added modprobe.d support

Revision 1.50  2005/12/13 13:58:51  glen
- adapterized (sorted %verify attrs)

Revision 1.49  2005/12/11 01:08:14  qboosh
- added sparc patch, release 1

Revision 1.48  2005/12/11 00:56:35  qboosh
- updated to 3.2.2

Revision 1.47  2005/12/06 10:13:05  qboosh
- release 1

Revision 1.46  2005/11/22 20:50:09  glen
- check for module dir in %post, to be able to install this package in chroot

Revision 1.45  2005/11/21 22:32:33  areq
- 3.2.1

Revision 1.44  2005/11/12 00:46:15  havner
- merged with DEVEL, works stable and is required by some kernel tools

Revision 1.43  2004/12/09 14:47:53  qboosh
- BR: docbook-dtd41-sgml

Revision 1.42  2004/12/09 14:37:03  qboosh
- BR: docbook-utils (for docbook2man)
- removed outdated URL from chain_aliases patch

Revision 1.41  2004/11/28 20:08:03  qboosh
- updated to 3.1, updated chain_aliases patch

Revision 1.40.2.5  2005/10/17 23:15:04  charles
- updated to 3.2 pre9
- removed outdated -chain_aliases.patch

Revision 1.40.2.4  2004/08/20 08:21:03  ankry
- spaces -> tabs

Revision 1.40.2.3  2004/08/19 11:54:27  krzak
- TODO

Revision 1.40.2.2  2004/08/19 11:28:50  krzak
- um... md5

Revision 1.40.2.1  2004/08/19 11:26:06  krzak
- up to 3.1 pre5
- chain_aliases.patch seems to be unecessary

Revision 1.40  2004/07/18 16:12:11  qboosh
- zlib-static is BRed now

Revision 1.39  2004/07/17 16:08:16  arekm
- rel4 (adds support for compressed modules to insmod)

Revision 1.38  2004/04/01 02:45:25  ankry
- rel. 3 for Ac (2 is in Ra)

Revision 1.37  2004/03/10 22:23:38  qboosh
- new Source0 URL, updated to final 3.0

Revision 1.36  2004/02/05 00:09:48  arekm
- checking size of modprobe file is much better than checking for it's existence

Revision 1.35  2004/01/30 22:20:33  qboosh
- why such old? updated to 3.0-pre9
- updated modutils,shared-zlib patches

Revision 1.34  2004/01/29 06:46:09  pluto
- updated to 0.9.15pre4

Revision 1.33  2003/10/13 14:42:49  qboosh
- ...and glibc-kernel-headers are always required (rpm-build), so removed

Revision 1.32  2003/10/13 13:37:33  adamg
- BR: glibc-kernel-headers, not kernel-headers

Revision 1.31  2003/10/13 09:09:36  qboosh
- more fixes in shared-zlib patch, zlib-static no longer needed

Revision 1.30  2003/10/12 13:57:57  adamg
- added bcond: without dist_kernel (thx wrobell for pointing that one)

Revision 1.29  2003/10/12 11:31:02  adamg
- BuildRequires: zlib-static

Revision 1.28  2003/10/12 11:09:13  adamg
- BuildRequires: kernel-headers

Revision 1.27  2003/10/04 17:21:16  qboosh
- enabled zlib support for compressed modules
- added shared-zlib patch - we have zlib in /lib, so we can use shared version

Revision 1.26  2003/09/15 07:01:57  deejay1
- updated to 0.9.14

Revision 1.25  2003/09/02 15:14:15  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.24  2003/08/20 21:05:48  grzegol
- updated to 0.9.13

Revision 1.23  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.22  2003/06/15 12:12:10  blues
- release 0.2 - chain_aliases patch added - it is possible now to do:
  alias misio niemisio
  alias puchatek misio

Revision 1.21  2003/05/27 10:57:25  trojan
- added Source0-md5

Revision 1.20  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.19  2003/05/19 09:11:38  trojan
- updated to 0.9.12

Revision 1.18  2003/04/09 09:13:01  wiget
- fix %post, now don't R modutils
- release 0.6

Revision 1.17  2003/04/08 18:25:40  misiek
- rel 0.5

Revision 1.16  2003/04/08 18:25:02  misiek
- /bin -> /sbin

Revision 1.15  2003/04/08 18:24:28  misiek
- set _bindir to /bin (there are scripts with hardcoded /bin/lsmod)

Revision 1.14  2003/04/07 07:48:49  qboosh
- Requires(post) not PreReq(post)

Revision 1.13  2003/04/05 17:04:12  blues
- proper prereq to make post work correctly

Revision 1.12  2003/04/04 17:11:37  wiget
- release 0.3

Revision 1.11  2003/04/04 17:11:09  wiget
- one missing file

Revision 1.10  2003/04/04 16:58:20  wiget
- this package conflicts with older modutils

Revision 1.9  2003/04/04 13:34:45  trojan
- updated to 0.9.11a
- removed DESTDIR patch (outdated)

Revision 1.8  2003/03/05 14:05:31  blues
- removed ghost - suggested by qboosh (ghost and config do not fit together)

Revision 1.7  2003/02/28 18:56:48  blues
- added todo

Revision 1.6  2003/02/28 16:50:46  blues
- release 0.3 - first try not to leave empty modprobe.conf (maybe better
  do cp modules.conf modprobe.conf ??)

Revision 1.5  2003/02/16 17:46:08  qboosh
- cleanup

Revision 1.4  2003/02/15 17:25:40  radek
- updated Source0 URL

Revision 1.3  2003/02/12 22:23:57  qboosh
- pl description

Revision 1.2  2003/02/12 08:27:30  wiget
- modutils 2.4.22-3 are 'broken' too
- release 0.2

Revision 1.1  2003/02/11 15:38:17  wiget
- based on modutils.spec and MDK module-init-tools.spec
- version 0.9.9
